Processor Trace control

## Macros

#define | __itt_pt_region_create __itt_pt_region_createA

## Typedefs

typedef unsigned char | __itt_pt_region

## Functions

__itt_pt_region ITTAPI | __itt_pt_region_createA (const char *name)
| function saves a region name marked with Intel PT API and returns a region id. Only 7 names can be registered. Attempts to register more names will be ignored and a region id with auto names will be returned. For automatic naming of regions pass NULL as function parameter More...
__itt_pt_region ITTAPI | __itt_pt_region_createW (const wchar_t *name)
void | __itt_mark_pt_region_begin (__itt_pt_region region)
| function contains a special code pattern identified on the post-processing stage and marks the beginning of a code region targeted for Intel PT analysis More...
void | __itt_mark_pt_region_end (__itt_pt_region region)
| function contains a special code pattern identified on the post-processing stage and marks the end of a code region targeted for Intel PT analysis More...

## Detailed Description

API from this group provides control over collection and analysis of Intel Processor Trace (Intel PT) data Information about Intel Processor Trace technology can be found here (Volume 3 chapter 35): https://software.intel.com/sites/default/files/managed/39/c5/325462-sdm-vol-1-2abcd-3abcd.pdf Use this API to mark particular code regions for loading detailed performance statistics. This mode makes your analysis faster and more accurate.

## Macro Definition Documentation

## __itt_pt_region_create

#define __itt_pt_region_create __itt_pt_region_createA

Definition at line 369 of file ittnotify.h.

## Typedef Documentation

## __itt_pt_region

typedef unsigned char __itt_pt_region

Definition at line 356 of file ittnotify.h.

## Function Documentation

## __itt_mark_pt_region_begin()

void __itt_mark_pt_region_begin | ( | __itt_pt_region | region | ) |

function contains a special code pattern identified on the post-processing stage and marks the beginning of a code region targeted for Intel PT analysis

Parameters

  [in] | region | - region id, 0 <= region < 8

## __itt_mark_pt_region_end()

void __itt_mark_pt_region_end | ( | __itt_pt_region | region | ) |

function contains a special code pattern identified on the post-processing stage and marks the end of a code region targeted for Intel PT analysis

Parameters

  [in] | region | - region id, 0 <= region < 8

## __itt_pt_region_createA()

__itt_pt_region ITTAPI __itt_pt_region_createA | ( | const char * | name | ) |

function saves a region name marked with Intel PT API and returns a region id. Only 7 names can be registered. Attempts to register more names will be ignored and a region id with auto names will be returned. For automatic naming of regions pass NULL as function parameter

## __itt_pt_region_createW()

__itt_pt_region ITTAPI __itt_pt_region_createW | ( | const wchar_t * | name | ) |

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.